Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.receivers
Class RawXMLINOutAsyncMessageReceiver

    java.lang.Object
      org.apache.axis2.receivers.AbstractMessageReceiver
          org.apache.axis2.receivers.AbstractInOutSyncMessageReceiver
              org.apache.axis2.receivers.RawXMLINOutMessageReceiver
                  org.apache.axis2.receivers.RawXMLINOutAsyncMessageReceiver

All Implemented Interfaces:
  MessageReceiver

Deprecated. use RawXMLINOutMessageReceiver and the DO_ASYNC property instead....

    public class RawXMLINOutAsyncMessageReceiver

extends RawXMLINOutMessageReceiver

The RawXMLINOutAsyncMessageReceiver MessageReceiver hands over the raw request received to the service implementation class as an OMElement. The implementation class is expected to return back the OMElement to be returned to the caller. This is an asynchronous MessageReceiver, and finds the service implementation class to invoke by referring to the "ServiceClass" parameter value specified in the service.xml and looking at the methods of the form OMElement <>(OMElement request)

See Also:
  `RawXMLINOnlyMessageReceiver`, `RawXMLINOutMessageReceiver`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.axis2.receivers.AbstractMessageReceiver
`AbstractMessageReceiver.AsyncMessageReceiverWorker, AbstractMessageReceiver.ThreadContextDescriptor`

Field Summary

Fields inherited from class org.apache.axis2.receivers.AbstractMessageReceiver
`DO_ASYNC, log, SAVED_MC, SAVED_TCCL, SCOPE, serviceTCCL`

Constructor Summary
`RawXMLINOutAsyncMessageReceiver()` Deprecated.

Method Summary
`void` | `receive(MessageContext messageCtx)` Deprecated.

Methods inherited from class org.apache.axis2.receivers.RawXMLINOutMessageReceiver
`invokeBusinessLogic`

Methods inherited from class org.apache.axis2.receivers.AbstractInOutSyncMessageReceiver
`invokeBusinessLogic`

Methods inherited from class org.apache.axis2.receivers.AbstractMessageReceiver
`getSOAPFactory, getTheImplementationObject, makeNewServiceObject, replicateState, restoreThreadContext, setThreadContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RawXMLINOutAsyncMessageReceiver

    public RawXMLINOutAsyncMessageReceiver()

  Deprecated.

Method Detail

### receive

    public void receive(MessageContext messageCtx)
                 throws AxisFault

  Deprecated.
  Specified by:
    `receive` in interface `MessageReceiver`
  Overrides:
    `receive` in class `AbstractMessageReceiver`
  Parameters:
    `messageCtx` - active MessageContext
  Throws:
    `AxisFault` - if a problem occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.